ExtUtils::Builder::Action::Command(3pm)

NAME
ExtUtils::Builder::Action::Command - An action object for external commands

VERSION
version 0.019

SYNOPSIS
 my @cmd = qw/echo Hello World!/;
 my $action = ExtUtils::Builder::Action::Command->new(command => \@cmd);
 $action->execute;
 say "Executed: ", join ' ', @{$_} for $action->to_command;

DESCRIPTION
This is a primitive action object wrapping an external command. The easiest way to use it is to serialize it to command, though it doesn't mind being executed right away. For more information on actions, see ExtUtils::Builder::Action.

ATTRIBUTES

  command
This is the command that should be run, represented as an array ref.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.